com.icl.saxon.style

## Class Procedure

- java.lang.Object
- - com.icl.saxon.style.Procedure

-     public class Procedure
      extends java.lang.Object

  A procedure represents a top-level element that can contain local variable declarations. Specifically, a top-level xsl:template, xsl:variable, xsl:param, or saxon:function element or an xsl:attribute-set element.

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected int` | `numberOfVariables`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `Procedure()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `int` | `allocateSlotNumber()` Allocate a slot number for a variable
    `int` | `getNumberOfVariables()` Get number of variables (size of stack frame)

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### numberOfVariables

          protected int numberOfVariables

  - ### Constructor Detail

    - #### Procedure

          public Procedure()

  - ### Method Detail

    - #### getNumberOfVariables

          public int getNumberOfVariables()

      Get number of variables (size of stack frame)

    - #### allocateSlotNumber

          public int allocateSlotNumber()

      Allocate a slot number for a variable